On updating WordPress plugins auto-magically

I’m putting this here because I always forget about it and I have several thousand bookmarks over the past ~13 years that I haven’t bothered to sort through.

After upgrading WordPress, you need to check that the user apache is running under has write access to ${wordpress-dir}/wp-contents and the subfolders.

[cc lang=”bash” tab_size=”5″ lines=”60″]

chown -r ${www-user}:{www-group}

[/cc]

Then modify the following line in ${wordpress-dir}/wp-admin/includes/file.php:

[cc lang=”bash” tab_size=”5″ lines=”60″]

$method = defined(‘FS_METHOD’) ? FS_METHOD : false; //Please ensure that this is either ‘direct’, ‘ssh’, ‘ftpext’ or ‘ftpsockets’

[/cc]

Obviously, chose the method you want.

~ by praetor on December 9, 2010.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

 
%d bloggers like this: